Index: chan_iax2.c
===================================================================
--- chan_iax2.c	(revision 47620)
+++ chan_iax2.c	(working copy)
@@ -7818,7 +7818,7 @@
 {
 	struct iax2_peer *peer = data;
 	if (peer->lastms > -1) {
-		ast_log(LOG_NOTICE, "Peer '%s' is now UNREACHABLE! Time: %d\n", peer->name, peer->lastms);
+		ast_log(LOG_NOTICE, "Peer '%s' is now UNREACHABLE! Time: %d Callno: %d\n", peer->name, peer->lastms, peer->callno);
 		manager_event(EVENT_FLAG_SYSTEM, "PeerStatus", "Peer: IAX2/%s\r\nPeerStatus: Unreachable\r\nTime: %d\r\n", peer->name, peer->lastms);
 		ast_device_state_changed("IAX2/%s", peer->name); /* Activate notification */
 	}
@@ -7881,9 +7881,12 @@
 	} else
 		peer->pokeexpire = ast_sched_add(sched, DEFAULT_MAXMS * 2, iax2_poke_noanswer, peer);
 
+	ast_log(LOG_NOTICE, "Sending POKE to peer '%s' Callno: '%d' \n",peer->name, peer->callno);	
+
 	/* And send the poke */
 	send_command(iaxs[peer->callno], AST_FRAME_IAX, IAX_COMMAND_POKE, 0, NULL, 0, -1);
 
+
 	return 0;
 }
 
